'''Snake RPG

Main startup
'''

import pyglet
import pymunk
import render
import misc
import sim
import event
import userinput
import gui
import inventory

def main():
    pymunk.init_pymunk()
    pyglet.resource.path = ['data']
    pyglet.resource.reindex()
    # Get a window, then initialize handlers and attach required objects
    win = render.initialize()
    userinput.initialize(win)
    win.g.sim = sim.Sim(win.g)
    win.g.inputq = event.UserInputEventQueue()
    # XXX init globals here
    # Set up GUI panel
    win.g.gui = gui.GuiPanel(win)
    win.g.gui_width = win.g.gui.pix_x
    win.g.inventory = inventory.Inventory()
    # Create start screen and set initial state
    misc.create_start_screen(win.g)
    misc.create_end_screen(win.g)
    misc.create_win_screen(win.g)
    win.g.gamestate = 'startscreen'
    # Register all update handlers and start pyglet's game loop
    win.g.update_interval = 1 / 60.0
    pyglet.clock.schedule_interval_soft(win.g.sim.update,win.g.update_interval)
    pyglet.app.run()

